Bug 1706311 - Cannot install new addons for firefox: "Download failed. Please check your connection."
Summary: Cannot install new addons for firefox: "Download failed. Please check your co...
Keywords:
Status: CLOSED DUPLICATE of bug 1706295
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-04 08:14 UTC by Yannick Defais
Modified: 2019-05-04 22:07 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-04 22:07:00 UTC


Attachments (Terms of Use)
Exemple of failed to install addon for firefox (33.16 KB, image/png)
2019-05-04 08:14 UTC, Yannick Defais
no flags Details
Failed from a file .xpi (47.18 KB, image/png)
2019-05-04 08:44 UTC, Yannick Defais
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1548973 None None None 2019-05-04 09:11:14 UTC

Description Yannick Defais 2019-05-04 08:14:38 UTC
Created attachment 1562984 [details]
Exemple of failed to install addon for firefox

Description of problem:
Since my upgrade to Fedora 30, Firefox is unable to install a new addon.
Every time I tried it fails with this error on the web page : "Download failed. Please check your connection." (see screen shot attachment)

Version-Release number of selected component (if applicable):
firefox-66.0.3-1.fc30.x86_64

How reproducible:
always

Steps to Reproduce:
1. Go to https://addons.mozilla.org/
2. Select any addon you want
3. Click the "+ add to Firefox" blue button

Actual results:
A red banner appears : "Download failed. Please check your connection."

Expected results:
The addon will properly install.

Additional info:

Comment 1 Yannick Defais 2019-05-04 08:43:47 UTC
I tried to install from a file "duckduckgo_privacy_essentials-2019.4.26-an+fx.xpi" I get from https://addons.mozilla.org/firefox/downloads/latest/duckduckgo-for-firefox/addon-385621-latest.xpi (on this page: https://duckduckgo.com/app )

It fails with a pop-up saying :
"about:addons
This add-on could not be installed because it appears to be corrupt.
OK!"
(see attachment for a screen shot)

Comment 2 Yannick Defais 2019-05-04 08:44:24 UTC
Created attachment 1562985 [details]
Failed from a file .xpi

Comment 3 Yannick Defais 2019-05-04 09:14:07 UTC
This issue seems related to this upsteam bug:
All extensions disabled due to expiration of intermediate signing cert
https://bugzilla.mozilla.org/show_bug.cgi?id=1548973

"Mozilla Add-ons
‏ @mozamo
We’re investigating an issue with a certificate which may cause your @firefox extensions to stop work working or fail to install. 

Our team is actively working to fix the issue and we’ll post more information shortly.
6:21 PM - 3 May 2019"
https://twitter.com/mozamo/status/1124484255159971840

Comment 4 Yannick Defais 2019-05-04 21:44:07 UTC
More infos here:
https://blog.mozilla.org/addons/2019/05/04/update-regarding-add-ons-in-firefox/
Especially a fix is distributed within Firefox through "studies" which needs to be enabled in preferences.

Comment 5 Piotr Drąg 2019-05-04 22:07:00 UTC

*** This bug has been marked as a duplicate of bug 1706295 ***


Note You need to log in before you can comment on or make changes to this bug.